<!DOCTYPE html>
<html class=" " lang="en">
<head id="headcontent">
    <meta content="text/html; charset=UTF-8" http-equiv="Content-Type">
    <meta charset="utf-8">
    <meta content="IE=edge" http-equiv="X-UA-Compatible">
    <meta content="width=device-width, initial-scale=1" name="viewport">
    <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1/jquery.js"></script>
    <script type="text/javascript"
            src="https://cdnjs.cloudflare.com/ajax/libs/jquery-datetimepicker/2.5.4/build/jquery.datetimepicker.full.js"></script>
    <link href="https://code.jquery.com/ui/1.10.4/themes/cupertino/jquery-ui.css" rel="stylesheet">
    {% load auth_extras %}
    {% load staticfiles %}
    <title>
        {% block title %}

        {% endblock %}
    </title>

    <link rel="icon" type="image/png" href="{% static 'img/gctb.png' %}">

    <link rel="stylesheet" href={% static "accounts/css/offerlist_style.css" %}>

    <link rel="stylesheet" href={% static "dashboard/vendors/bootstrap/dist/css/bootstrap.css" %}>
    <link rel="stylesheet" href={% static "dashboard/vendors/font-awesome/css/font-awesome.min.css" %}>
    <link rel="stylesheet" href={% static "dashboard/vendors/nprogress/nprogress.css" %}>
    <link rel="stylesheet" href={% static "dashboard/build/css/custom.css" %}>
    <link rel="stylesheet" href={% static "dashboard/glyphsearch/css/style.css" %}>
    <link rel="stylesheet" href={% static "dashboard/glyphsearch/css/fixedsticky.css" %}>

    {#    <link rel="stylesheet" href={% static "accounts/css/wizard.css" %}>#}

    <!--pnotify-->
    <link rel="stylesheet" href={% static "dashboard/vendors/pnotify/dist/pnotify.css" %}>
    <link rel="stylesheet" href={% static "dashboard/vendors/pnotify/dist/pnotify.buttons.css" %}>
    <link rel="stylesheet" href={% static "dashboard/vendors/pnotify/dist/pnotify.mobile.css" %}>

    <!--date and daterange picker -->
    <link rel="stylesheet" href={% static "dashboard/vendors/bootstrap-daterangepicker/daterangepicker.css" %}>

    <!-- for responsive nav tabs -->
    <link rel="stylesheet" href={% static "dashboard/vendors/bootstrap-responsive-tabs-master/dist/main.css" %}>


    <link rel="stylesheet" href={% static "dashboard/glyphsearch/css/style.css" %}>
    <link rel="stylesheet" href={% static "dashboard/glyphsearch/css/ionicons.css" %}>
    <link rel="stylesheet" href={% static "dashboard/glyphsearch/css/material-icons.css" %}>
    <link rel="stylesheet" href={% static "dashboard/glyphsearch/css/octicons.css" %}>
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/buttons/1.4.2/css/buttons.dataTables.min.css">

    {#    calender widget to be available throughout the project#}
    {#    calender widget to be available throughout the project#}

    <!-- Latest compiled and minified CSS -->
    <link rel="stylesheet"
          href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/css/bootstrap-select.min.css">

    <!-- Latest compiled and minified JavaScript -->
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-select/1.11.2/js/bootstrap-select.min.js"></script>


    <link rel="stylesheet" href="//cdnjs.cloudflare.com/ajax/libs/timepicker/1.3.5/jquery.timepicker.min.css">

    <script src={% static "dashboard/vendors/bootstrap-tabcollapse-master/bootstrap-tabcollapse.js" %}></script>


    <script src="//cdnjs.cloudflare.com/ajax/libs/timepicker/1.3.5/jquery.timepicker.min.js"></script>


    <!-- mdb style -->
    <link rel="stylesheet" href={% static "mdbuser/style.css" %}>

    <!-- animated-popup-->
    <link rel="stylesheet" href="{% static 'animated-popup/css/style.css' %}">

    <style xmlns="">
        .no-js #loader {
            display: none;
        }

        .js #loader {
            display: block;
            position: absolute;
            left: 100px;
            top: 0;
        }

        .se-pre-con {
            position: fixed;
            left: 0px;
            top: 0px;
            width: 100%;
            height: 100%;
            z-index: 9999;
            background: url({% static 'preloader/loading.gif' %}) center no-repeat #fff;
        }
    </style>

    {% block head_block %}

    {% endblock %}
    <style>
        body {
            font-size-adjust: 0.55;
        }

        /* Start by setting display:none to make this hidden.
   Then we position it in relation to the viewport window
   with position:fixed. Width, height, top and left speak
   for themselves. Background we set to 80% white with
   our animation centered, and no-repeating */
        .loadingajax {
            display: none;
            position: fixed;
            z-index: 1000;
            top: 0;
            left: 0;
            height: 100%;
            width: 100%;
            background: rgba(255, 255, 255, .8) url('{% static "img/hourglass.gif" %}') 50% 50% no-repeat;
        }

        /* When the body has the loading class, we turn
           the scrollbar off with overflow:hidden */
        body.loading {
            overflow: hidden;
        }

        /* Anytime the body has the loading class, our
           modal element will be visible */
        body.loading .loadingajax {
            display: block;
        }
    </style>

    {% if user.is_authenticated %}
        <link rel="manifest" href="/manifest.json">
        <script src="https://cdn.onesignal.com/sdks/OneSignalSDK.js" async='async'></script>
            <script>
            var current_active_batch;
            //For getting CSRF token
            function getCookie(name) {
                var cookieValue = null;
                if (document.cookie && document.cookie != '') {
                    var cookies = document.cookie.split(';');
                    for (var i = 0; i < cookies.length; i++) {
                        var cookie = jQuery.trim(cookies[i]);
                        // Does this cookie string begin with the name we want?
                        if (cookie.substring(0, name.length + 1) == (name + '=')) {
                            cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                            break;
                        }
                    }
                }
                return cookieValue;
            }

            var OneSignal = window.OneSignal || [];
            OneSignal.push(["init", {
              appId: "5f004f57-c64f-48b1-b9ae-8e6cb2646953",
              autoRegister: true, /* Set to true to automatically prompt visitors */
              notifyButton: {
                  enable: true /* Set to false to hide */
              }
            }]);
            OneSignal.push(function() {
                  OneSignal.on('subscriptionChange', function(isSubscribed) {
                    if (isSubscribed) {
                      // The user is subscribed
                      //   Either the user subscribed for the first time
                      //   Or the user was subscribed -> unsubscribed -> subscribed
                      OneSignal.getUserId( function(userId) {
                        $.ajax({
                            type: "POST",
                            data: {
                                onesignal_id: userId,
                                csrfmiddlewaretoken: getCookie('csrftoken'),
                            },
                            url: '{% url 'add_onesignal_id' %}',
                            success: function (data) {
                                console.log(data['message']);
                            }
                        });
                  });
                }
              });
            });
        </script>
    {% endif %}
</head>


<body class="nav-md footer_fixed menu_fixed">
<div class="container body">
    <div class="main_container" id="contentblock">
        {% block content %}

        {% endblock %}
    </div>
</div>
<script src={% static "dashboard/vendors/jquery/dist/jquery.min.js" %}></script>
<script src={% static "dashboard/vendors/bootstrap/dist/js/bootstrap.min.js" %}></script>
<script src={% static "dashboard/vendors/fastclick/lib/fastclick.js" %}></script>
<script src={% static "dashboard/vendors/nprogress/nprogress.js" %}></script>
<script src={% static "dashboard/build/js/custom.min.js" %}></script>
<script src={% static "accounts/js/jquery_ui.js" %}></script>

<!--pnotify - js -->
<script src={% static "dashboard/vendors/pnotify/dist/pnotify.js" %}></script>
<script src={% static "dashboard/vendors/pnotify/dist/pnotify.buttons.js" %}></script>
<script src={% static "dashboard/vendors/pnotify/dist/pnotify.mobile.js" %}></script>
<script src={% static "dashboard/vendors/pnotify/dist/pnotify.animate.js" %}></script>


<script src={% static "dashboard/vendors/moment/moment.js" %}></script>
<script src={% static "dashboard/vendors/bootstrap-daterangepicker/daterangepicker.js" %}></script>
<script src={% static "dashboard/vendors/jquery.inputmask/dist/min/jquery.inputmask.bundle.min.js" %}></script>



<!-- datatable -->
<script type="text/javascript" src="https://cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.4.2/js/dataTables.buttons.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.4.2/js/buttons.flash.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jszip/3.1.3/jszip.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.32/vfs_fonts.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.4.2/js/buttons.html5.min.js"></script>
<script type="text/javascript" src="https://cdn.datatables.net/buttons/1.2.1/js/buttons.print.min.js"></script>

<!-- for responsive nav tabs -->

<div class="loadingajax"><!-- Place at bottom of page --></div>

<script type="text/javascript">
    $(document).ajaxStart(function () {
        $("body").addClass("loading");
    });
    $(document).ajaxComplete(function () {
        $("body").removeClass("loading");
    });
</script>

</body>
</html>